# SetVarianteC

## Class SetVarianteC

- java.lang.Object
- - Set
  - - SetVarianteC

    public class SetVarianteC
    extends Set

Set-Variante C

Version:
  26.9.2020
Author:
  Rainer Helfrich

### Constructor Summary

Constructors
`SetVarianteC()` Erzeugt eine neue leere Set

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int[]` `alsArray()`
`int` `anzahl()` Gibt die Mächtigkeit der Menge zurück
`Set` `differenz​(Set s)` Bestimmt die Differenzmenge der Menge selbst und der Menge s.
`void` `einfuegen​(int x)` Fügt einen neuen Wert in die Menge ein, falls er nicht bereits enthalten ist.
`void` `entfernen​(int x)` Entfernt einen Wert aus der Menge, falls er enthalten ist.
`boolean` `enthaelt​(int x)` Gibt zurück, ob ein bestimmter Wert in der Menge enthalten ist.
`boolean` `gleich​(Set s)` Gibt zurück, ob diese Menge und s die gleichen Elemente enthalten
`boolean` `istLeer()` Gibt zurück, ob die Menge kein Element enthält
`Set` `schnittmenge​(Set s)` Bestimmt die Schnittmenge der Menge selbst und der Menge s.
`boolean` `untermenge​(Set s)` Gibt zurück, ob diese Menge eine Untermenge der Menge s ist.
`Set` `vereinigungsmenge​(Set s)` Bestimmt die Vereinigungsmenge der Menge selbst und der Menge s.

### Methods inherited from class Set

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetVarianteC

    public SetVarianteC()

Erzeugt eine neue leere Set

### Method Detail

#### alsArray

    protected int[] alsArray()

Specified by:
  `alsArray` in class `Set`

#### istLeer

    public boolean istLeer()

Gibt zurück, ob die Menge kein Element enthält

Specified by:
  `istLeer` in class `Set`
Returns:
  true, wenn die Menge leer ist; false sonst

#### enthaelt

    public boolean enthaelt​(int x)

Gibt zurück, ob ein bestimmter Wert in der Menge enthalten ist.

Specified by:
  `enthaelt` in class `Set`
Parameters:
  `wert` - Der zu suchende Wert

#### anzahl

    public int anzahl()

Gibt die Mächtigkeit der Menge zurück

Specified by:
  `anzahl` in class `Set`
Returns:
  Die Anzahl der Elemente in der Menge

#### differenz

    public Set differenz​(Set s)

Bestimmt die Differenzmenge der Menge selbst und der Menge s.

Specified by:
  `differenz` in class `Set`
Parameters:
  `s` - Die Menge, die von dieser Menge abgezogen werden soll.
Returns:
  Eine neue Set, die alle Elemente dieser Menge enthält, die nicht in s enthalten sind.

#### einfuegen

    public void einfuegen​(int x)

Fügt einen neuen Wert in die Menge ein, falls er nicht bereits enthalten ist.

Specified by:
  `einfuegen` in class `Set`
Parameters:
  `wert` - Der einzufügende Wert

#### untermenge

    public boolean untermenge​(Set s)

Gibt zurück, ob diese Menge eine Untermenge der Menge s ist.

Specified by:
  `untermenge` in class `Set`
Parameters:
  `s` - Die Menge, die geprüft werden soll.
Returns:
  true, wenn jedes Element dieser Menge in s enthalten ist; false sonst

#### vereinigungsmenge

    public Set vereinigungsmenge​(Set s)

Bestimmt die Vereinigungsmenge der Menge selbst und der Menge s.

Specified by:
  `vereinigungsmenge` in class `Set`
Parameters:
  `s` - Die Menge, mit der die Vereinigungsmenge bestimmt werden soll
Returns:
  Eine neue Set, die die Vereinigungsmenge der beiden Mengen repräsentiert.

#### schnittmenge

    public Set schnittmenge​(Set s)

Bestimmt die Schnittmenge der Menge selbst und der Menge s.

Specified by:
  `schnittmenge` in class `Set`
Parameters:
  `s` - Die Menge, mit der die Schnittmenge bestimmt werden soll
Returns:
  Eine neue Set, die die Schnittmenge der beiden Mengen repräsentiert.

#### entfernen

    public void entfernen​(int x)

Entfernt einen Wert aus der Menge, falls er enthalten ist.

Specified by:
  `entfernen` in class `Set`
Parameters:
  `wert` - Der zu entfernende Wert

#### gleich

    public boolean gleich​(Set s)

Gibt zurück, ob diese Menge und s die gleichen Elemente enthalten

Overrides:
  `gleich` in class `Set`
Parameters:
  `s` - Die zu überprüfende Menge
Returns:
  true, wenn beide Mengen die gleichen Elemente enthalten; false sonst